@echo off
@REM **************************************************************************
@REM Licensed Material - Property of IBM
@REM 5724-M24
@REM Copyright IBM Corporation 2011. All Rights Reserved.
@REM US Government Users Restricted Rights- Use, duplication or disclosure
@REM restricted by GSA ADP Schedule Contract with IBM Corp.
@REM **************************************************************************
@REM Migrate the portlets to widgets
@REM **************************************************************************

set WAS_HOME=%1
set WPS_HOME=%2
set PORTAL_CONFIG_URL=%3
set USER=%4
set PASSWORD=%5

if  "%5"==""  goto  noparameter
	goto  execute
goto  exit

:execute	
echo "Using portal config URL: %PORTAL_CONFIG_URL%"
echo "Using portal admin: %USER%"
echo "Using portal admin password: ******"

REM Don't need change
set JAVA=%WAS_HOME%\java\bin\java
set IN_FILE=%CD%\Export.xml
set OUT_FILE=%CD%\Export_out.xml
set IMPORT_FILE=%CD%\Import_In.xml
set CLASSPATH_MON=%WPS_HOME%\base\wp.xml.client\bin\wp.xml.client.jar;%WPS_HOME%\base\wp.base\shared\app\wp.base.jar;%WAS_HOME%\lib\j2ee.jar

REM Get a complete export from portal
%JAVA% -cp %CLASSPATH_MON% com.ibm.wps.xmlaccess.XmlAccess -in %IN_FILE% -out %OUT_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Export_log.txt" 2>&1

REM Transform the portlets to widgets. Change option to true to migrate Alphablox widget to Cognos widget.
%JAVA% -cp "%CD%\migratePortlets.jar" com.ibm.wbimonitor.dashboard.xmlparser.PortletToWidget -cognos true -trace false %OUT_FILE% %IMPORT_FILE%

REM Import the new pages
%JAVA% -cp %CLASSPATH_MON% com.ibm.wps.xmlaccess.XmlAccess -in %IMPORT_FILE% -user %USER% -pwd %PASSWORD% -url %PORTAL_CONFIG_URL% >> "%CD%\Import_migrate_log.txt" 2>&1

echo.
echo Please look at the log %CD%\Import_migrate_log.txt to make sure there are no errors.
echo.
goto  exit

:noparameter
	echo.
	echo  ERROR: Missing 1 or more required parameter. Script is invoked as follows:
    echo  Usage: migratePortlets.bat ^<WAS_HOME^> ^<WPS_HOME^> ^<portal_config_url^> ^<portal_admin^> ^<portal_pw^> 
	echo  where for example
	echo  ^<WAS_HOME^> 	c:\WebSphere\Appserver
	echo  ^<WPS_HOME^> 	c:\WebSphere\PortalServer
	echo  ^<portal_config_url^> http://localhost:10039/wps/config
	echo  ^<portal_admin^> wpsadmin
	echo  ^<portal_pw^> yourpassword
	echo.
:exit
